Subject: bug#66169: guix reconfigure error no match for id 4f35ff1275e05be31f5d41464ccf147e9dbfd016

From: Guillaume Le Vaillant <[email-masked]>
Date: Sun, 24 Sep 2023 09:22:49 +0000

Liliana Marie Prikler <[email-masked]> skribis:

> Am Sonntag, dem 24.09.2023 um 08:49 +0000 schrieb Guillaume Le
> Vaillant:
>> Liliana Marie Prikler <[email-masked]> skribis:
>> 
>> > Am Samstag, dem 23.09.2023 um 22:02 +0300 schrieb Roman Riabenko:
>> > > I am trying to upgrade my guix systems. I ran guix pull and now I
>> > > am
>> > > trying to run guix system reconfigure. It failed on two different
>> > > machines with the same backtrace. Please see the full backtrace
>> > > attached. The error message from it:
>> > > 
>> > > ice-9/boot-9.scm:1685:16: In procedure raise-exception:
>> > > Git error: object not found - no match for id
>> > > (4f35ff1275e05be31f5d41464ccf147e9dbfd016)
>> > > 
>> > > 
>> > > $ guix describe
>> > > Generation 28   Sep 23 2023 19:30:36    (current)
>> > >   guix 4f35ff1
>> > >     repository URL: https://git.savannah.gnu.org/git/guix.git
>> > >     branch: master
>> > >     commit: 4f35ff1275e05be31f5d41464ccf147e9dbfd016
>> > > 
>> > > Considering that I experience it on two guix machines with
>> > > different
>> > > system configurations, I assume that there is some bug somewhere.
>> > Experiencing the same for commit
>> > 35fd25af9bbcce84908101a9f487ba106a8d6df7.  I would hazard a guess
>> > that it's due to them being merge commits.  Interestingly,
>> > allow-downgrades does not have an effect on this message.
>> > 
>> > Cheers
>> 
>> I reconfigured two machines using commit
>> 4f35ff1275e05be31f5d41464ccf147e9dbfd016, and it succeeded on both
>> machines, I didn't get this "no match for id" issue.
>> That's strange...
> Do you have provenance tracking on your machines (the default)?

Yes. I use an additional channel, not only the "guix" default channel.
Maybe that makes a difference...